Skip to main content
1

Get your API key

Contact the Reap team to get your sandbox credentials. You’ll receive an API key and base URL for your environment.
2

Make a request

All requests require:
  • Authorization header with your API key as a Bearer token
  • Reap-Version header specifying the API version
curl https://sandbox.api.reap.global/v1/users \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Reap-Version: 2025-02-14"
3

Create a user

curl -X POST https://sandbox.api.reap.global/v1/users \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Reap-Version: 2025-02-14" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "alice@example.com",
    "phoneNumber": "+14155552671",
    "firstName": "Alice",
    "lastName": "Smith",
    "termsAcceptance": {
      "version": "2026-01-17",
      "ipAddress": "192.168.1.1"
    }
  }'
4

Next steps

Browse the API Reference or set up Webhooks.